# Note that this is NOT a relocatable package
%define ver      1.0.2
%define rel      4
%define prefix   /usr

Summary: GNOME Objective C libraries.
Name: gnome-objc
Version: %ver
Release: %rel
Copyright: LGPL
Group: Development/Languages
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-objc/gnome-objc-%{ver}.tar.gz
BuildRoot: /var/tmp/gnome-objc-%{PACKAGE_VERSION}-root
Requires: gnome-libs >= 0.99.8
URL: http://www.gnome.org/
Docdir: %{prefix}/doc

%description
This package installs basic libraries you must have to use
GNOME programs that are built with Objective C.

GNOME is the GNU Network Object Model Environment. It's a
powerful, pleasing, easy to use and configure environment
for your computer.

%package devel
Summary: Libraries, includes and other files to develop Objective C GNOME applications.
Group: Development/Libraries
Requires: gnome-objc

%description devel
Libraries, include files and other files you can use
to develop Objective C GNOME applications.

If you're interested in developing GNOME applications,
you should install this package.

%changelog

* Fri Apr 16 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.2, added patch to not add /usr/lib or /lib to ld.so.conf

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- removed libtoolize and fix source line

* Wed Feb 17 1999 Michael Fulbright <drmike@redhat.com>
- file listing updated

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.1

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-objc source tree

%prep
%setup

%build
export OBJC=egcs

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if ! grep %{prefix}/lib /etc/ld.so.conf > /dev/null ; then
  if [ "%{prefix}" != "/usr" -a "%{prefix}" -a "%{prefix}" != "/" ]; then
    echo "%{prefix}/lib" >> /etc/ld.so.conf
  fi
fi
/sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/lib/lib*.so.*
%{prefix}/share/locale/*/*/*

%files devel
%defattr(-, root, root)

%{prefix}/bin/obgnome-config
%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/lib/*.sh
%{prefix}/include/*
